picard.analysis

## Class RrbsSummaryMetrics

- java.lang.Object
- - htsjdk.samtools.metrics.MetricBase
  - - picard.metrics.MultilevelMetrics
    - - picard.analysis.RrbsSummaryMetrics

-     public final class RrbsSummaryMetrics
      extends MultilevelMetrics

  Holds summary statistics from RRBS processing QC

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Integer` | `CPG_BASES_CONVERTED` Number of CpG sites that were converted (TG for +, CA for -)
    `Integer` | `CPG_BASES_SEEN` Number of CpG sites encountered
    `Double` | `MEAN_CPG_COVERAGE` Mean coverage of CpG sites
    `Integer` | `MEDIAN_CPG_COVERAGE` Median coverage of CpG sites
    `Integer` | `NON_CPG_BASES` Number of times a non-CpG cytosine was encountered
    `Integer` | `NON_CPG_CONVERTED_BASES` Number of times a non-CpG cytosine was converted (C->T for +, G->A for -)
    `Double` | `PCT_CPG_BASES_CONVERTED` CPG_BASES_CONVERTED / CPG_BASES_SEEN (fraction)
    `Double` | `PCT_NON_CPG_BASES_CONVERTED` NON_CPG_CONVERTED_BASES / NON_CPG_BASES (fraction)
    `Integer` | `READS_ALIGNED` Number of mapped reads processed
    `Integer` | `READS_IGNORED_MISMATCHES` Number of reads discarded for exceeding the mismatch threshold
    `Integer` | `READS_IGNORED_SHORT` Number of reads discarded due to being too short
    `Integer` | `READS_WITH_NO_CPG` Number of reads discarded for having no CpG sites

    - ### Fields inherited from class picard.metrics.MultilevelMetrics

      `LIBRARY, READ_GROUP, SAMPLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RrbsSummaryMetrics()`

  - ### Method Summary

    - ### Methods inherited from class htsjdk.samtools.metrics.MetricBase

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### READS_ALIGNED

          public Integer READS_ALIGNED

      Number of mapped reads processed

    - #### NON_CPG_BASES

          public Integer NON_CPG_BASES

      Number of times a non-CpG cytosine was encountered

    - #### NON_CPG_CONVERTED_BASES

          public Integer NON_CPG_CONVERTED_BASES

      Number of times a non-CpG cytosine was converted (C->T for +, G->A for -)

    - #### PCT_NON_CPG_BASES_CONVERTED

          public Double PCT_NON_CPG_BASES_CONVERTED

      NON_CPG_CONVERTED_BASES / NON_CPG_BASES (fraction)

    - #### CPG_BASES_SEEN

          public Integer CPG_BASES_SEEN

      Number of CpG sites encountered

    - #### CPG_BASES_CONVERTED

          public Integer CPG_BASES_CONVERTED

      Number of CpG sites that were converted (TG for +, CA for -)

    - #### PCT_CPG_BASES_CONVERTED

          public Double PCT_CPG_BASES_CONVERTED

      CPG_BASES_CONVERTED / CPG_BASES_SEEN (fraction)

    - #### MEAN_CPG_COVERAGE

          public Double MEAN_CPG_COVERAGE

      Mean coverage of CpG sites

    - #### MEDIAN_CPG_COVERAGE

          public Integer MEDIAN_CPG_COVERAGE

      Median coverage of CpG sites

    - #### READS_WITH_NO_CPG

          public Integer READS_WITH_NO_CPG

      Number of reads discarded for having no CpG sites

    - #### READS_IGNORED_SHORT

          public Integer READS_IGNORED_SHORT

      Number of reads discarded due to being too short

    - #### READS_IGNORED_MISMATCHES

          public Integer READS_IGNORED_MISMATCHES

      Number of reads discarded for exceeding the mismatch threshold

  - ### Constructor Detail

    - #### RrbsSummaryMetrics

          public RrbsSummaryMetrics()